<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus Scheduler Event Generator</title>
    <filename>main</filename>
  </compound>
  <compound kind="page">
    <name>seg_protocol</name>
    <title>SEG Protocol</title>
    <filename>seg_protocol</filename>
    <docanchor>seg_protocol_001</docanchor>
    <docanchor>seg_protocol_messages</docanchor>
  </compound>
  <compound kind="group">
    <name>seg_api</name>
    <title>Scheduler Implementation API</title>
    <filename>group__seg__api.html</filename>
    <member kind="enumeration">
      <name>globus_scheduler_event_generator_error_t</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_NULL</name>
      <anchor>a7a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_ALREADY_SET</name>
      <anchor>a7a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_INVALID_MODULE</name>
      <anchor>a7a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_INVALID_FORMAT</name>
      <anchor>a7a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_OUT_OF_MEMORY</name>
      <anchor>a7a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_LOADING_MODULE</name>
      <anchor>a7a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event</name>
      <anchor>a0</anchor>
      <arglist>(const  char *format,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_pending</name>
      <anchor>a1</anchor>
      <arglist>(time_t timestamp, const  char *jobid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_active</name>
      <anchor>a2</anchor>
      <arglist>(time_t timestamp, const  char *jobid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_failed</name>
      <anchor>a3</anchor>
      <arglist>(time_t timestamp, const  char *jobid, int failure_code)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_done</name>
      <anchor>a4</anchor>
      <arglist>(time_t timestamp, const  char *jobid, int exit_code)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_generator_get_timestamp</name>
      <anchor>a5</anchor>
      <arglist>(time_t *timestamp)</arglist>
    </member>
  </compound>
</tagfile>
